package storage

import "time"

type Booking struct {
	ID              string         `json:"id" bson:"_id"`
	Vehicleid       string         `json:"vehicleid"`
	Driver          string         `json:"driver"`
	Startdate       time.Time      `json:"startdate"`
	Enddate         time.Time      `json:"enddate"`
	Unavailablefrom time.Time      `json:"unavailablefrom"`
	Unavailableto   time.Time      `json:"unavailableto"`
	Data            map[string]any `json:"data"`

	Deleted bool
	Vehicle Vehicle
}
